#include "qdock.h"
#include <QDial>

Qdock::Qdock(QWidget *parent) : QMainWindow(parent), dockWidget1(0),dockWidget2(0),
								dockWidget3(0), tableWidget(0)
{
	ui.setupUi(this);

	tableWidget = new QTableWidget(2, 1, this);
	tableWidget->setItem(0, 0, new QTableWidgetItem("huhu1"));
	tableWidget->setItem(1, 0, new QTableWidgetItem("huhu2"));
	tableWidget->setHorizontalHeaderLabels(QStringList("huhuHeader"));
	//setCentralWidget(tableWidget);

	dockWidget1 = new MyDockWidget("DOCK1", this);
	dockWidget2 = new MyDockWidget("DOCK2", this);
	dockWidget3 = new MyDockWidget("DOCK3", this);
	dockWidget1->setWidget(tableWidget);
	dockWidget2->setWidget(new QDial());
	dockWidget3->setWidget(new QDial());

	addDockWidget(Qt::TopDockWidgetArea, dockWidget1);
	addDockWidget(Qt::TopDockWidgetArea, dockWidget2);
	addDockWidget(Qt::TopDockWidgetArea, dockWidget3);
}

Qdock::~Qdock()
{
	if(tableWidget)	{delete tableWidget; tableWidget = 0;}
	if(dockWidget1)	{delete dockWidget1; dockWidget1 = 0;}
	if(dockWidget2)	{delete dockWidget2; dockWidget2 = 0;}
	if(dockWidget3)	{delete dockWidget3; dockWidget3 = 0;}
}
